var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";

function LabModelThumbnail(props) {
  return _jsxs("svg", __assign({
    width: 48,
    height: 48,
    viewBox: "0 0 48 48",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props, {
    children: [_jsx("path", {
      d: "M24.052 2v22m0 0l19.053 11M24.052 24L5 35",
      stroke: "url(#lab-model-thumbnail-paint0_radial)",
      strokeWidth: 0.8
    }, void 0), _jsx("circle", {
      cx: 5,
      cy: 13,
      r: 2,
      fill: "url(#lab-model-thumbnail-paint1_linear)"
    }, void 0), _jsx("circle", {
      cx: 24,
      cy: 2,
      r: 2,
      fill: "url(#lab-model-thumbnail-paint2_linear)"
    }, void 0), _jsx("circle", {
      cx: 43,
      cy: 13,
      r: 2,
      fill: "url(#lab-model-thumbnail-paint3_linear)"
    }, void 0), _jsx("circle", {
      cx: 24,
      cy: 46,
      r: 2,
      fill: "url(#lab-model-thumbnail-paint4_linear)"
    }, void 0), _jsx("circle", {
      cx: 5,
      cy: 35,
      r: 2,
      fill: "url(#lab-model-thumbnail-paint5_linear)"
    }, void 0), _jsx("circle", {
      cx: 24,
      cy: 24,
      r: 13,
      fill: "url(#lab-model-thumbnail-paint6_linear)"
    }, void 0), _jsx("path", {
      d: "M24 2l19.053 11v22L24 46 4.947 35V13L24 2z",
      stroke: "url(#lab-model-thumbnail-paint7_radial)",
      strokeWidth: 0.8
    }, void 0), _jsx("path", {
      d: "M43.105 13L24.052 24m0 22V24M5 13l19.052 11",
      stroke: "url(#lab-model-thumbnail-paint8_radial)",
      strokeWidth: 0.8
    }, void 0), _jsx("circle", {
      cx: 43,
      cy: 35,
      r: 2,
      fill: "url(#lab-model-thumbnail-paint9_linear)"
    }, void 0), _jsxs("defs", {
      children: [_jsxs("linearGradient", __assign({
        id: "lab-model-thumbnail-paint1_linear",
        x1: 6.66,
        y1: 11.997,
        x2: 3.233,
        y2: 13.965,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#5C6074"
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#C4C4C4",
          stopOpacity: 0
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "lab-model-thumbnail-paint2_linear",
        x1: 25.66,
        y1: 0.997,
        x2: 22.233,
        y2: 2.965,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#5C6074"
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#C4C4C4",
          stopOpacity: 0
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "lab-model-thumbnail-paint3_linear",
        x1: 44.66,
        y1: 11.997,
        x2: 41.233,
        y2: 13.965,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#5C6074"
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#C4C4C4",
          stopOpacity: 0
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "lab-model-thumbnail-paint4_linear",
        x1: 25.66,
        y1: 44.997,
        x2: 22.233,
        y2: 46.965,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#5C6074"
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#C4C4C4",
          stopOpacity: 0
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "lab-model-thumbnail-paint5_linear",
        x1: 6.66,
        y1: 33.997,
        x2: 3.233,
        y2: 35.965,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#5C6074"
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#C4C4C4",
          stopOpacity: 0
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "lab-model-thumbnail-paint6_linear",
        x1: 35.5,
        y1: 18,
        x2: 12.5,
        y2: 31,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#5C6074"
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#262A3B",
          stopOpacity: 0.75
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "lab-model-thumbnail-paint9_linear",
        x1: 44.66,
        y1: 33.997,
        x2: 41.233,
        y2: 35.965,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#5C6074"
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#C4C4C4",
          stopOpacity: 0
        }, void 0)]
      }), void 0), _jsxs("radialGradient", __assign({
        id: "lab-model-thumbnail-paint0_radial",
        cx: 0,
        cy: 0,
        r: 1,
        gradientUnits: "userSpaceOnUse",
        gradientTransform: "matrix(19.0522 11.00023 -10.95118 18.96724 24.052 23.999)"
      }, {
        children: [_jsx("stop", {
          stopColor: "#5C6074"
        }, void 0), _jsx("stop", {
          offset: 0.797,
          stopColor: "#5C6074",
          stopOpacity: 0.12
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#5C6074",
          stopOpacity: 0
        }, void 0)]
      }), void 0), _jsxs("radialGradient", __assign({
        id: "lab-model-thumbnail-paint7_radial",
        cx: 0,
        cy: 0,
        r: 1,
        gradientUnits: "userSpaceOnUse",
        gradientTransform: "matrix(-.00038 21.9998 -21.9017 -.00038 24.001 24)"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff"
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff",
          stopOpacity: 0
        }, void 0)]
      }), void 0), _jsxs("radialGradient", __assign({
        id: "lab-model-thumbnail-paint8_radial",
        cx: 0,
        cy: 0,
        r: 1,
        gradientUnits: "userSpaceOnUse",
        gradientTransform: "matrix(-.0005 21.9998 -21.9017 -.0005 24.053 24)"
      }, {
        children: [_jsx("stop", {
          stopColor: "#5C6074"
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff",
          stopOpacity: 0
        }, void 0)]
      }), void 0)]
    }, void 0)]
  }), void 0);
}

export var ReactComponent = LabModelThumbnail;
export default LabModelThumbnail;

